using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioSistema
    {

        public IList<entidadeSistema> Select(entidadeSistema objSistema)
        {
            dalSistema dalSistema = null;

            var lstSistema = new List<entidadeSistema>();
            DataTable dt = null;

            try
            {
                dalSistema = new dalSistema();
                dt = dalSistema.Select(objSistema);

                foreach (DataRow dr in dt.Rows)
                {
                    objSistema = new entidadeSistema();



                    if (!Convert.IsDBNull(dr["ID"]))
                        objSistema.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["NOME"]))
                        objSistema.NOME = dr["NOME"].ToString();

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objSistema.DESCRICAO = dr["DESCRICAO"].ToString();

                    if (!Convert.IsDBNull(dr["CAMINHO_EXE"]))
                        objSistema.CAMINHO_EXE = dr["CAMINHO_EXE"].ToString();

                    if (!Convert.IsDBNull(dr["PREFIXO_TABELAS"]))
                        objSistema.PREFIXO_TABELAS = dr["PREFIXO_TABELAS"].ToString();

                    if (!Convert.IsDBNull(dr["ICONE"]))
                        objSistema.ICONE = (byte[])dr["ICONE"];

                    lstSistema.Add(objSistema);
                }
                return lstSistema;
            }
            catch (Exception)
            {
                throw;
            }
        }


    }
}
